Angular UI Components Documentation

Angular NavigationBar Component

The NavigationBar component for Angular represents a widget that has header and content sections (like tabs).

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxNavigationBar [theme]="'fluent'" [width]="400" [height]="460">
  <div>
    Early History of the Internet
  </div>
  <div>
    <ul>
      <li>1961 First packet-switching papers</li>
      <li>1966 Merit Network founded</li>
      <li>1966 ARPANET planning starts</li>
      <li>1969 ARPANET carries its first packets</li>
      <li>1970 Mark I network at NPL (UK)</li>
      <li>1970 Network Information Center (NIC)</li>
      <li>1971 Merit Network"s packet-switched network operational</li>
      <li>1971 Tymnet packet-switched network</li>
      <li>1972 Internet Assigned Numbers Authority (IANA) established</li>
      <li>1973 CYCLADES network demonstrated</li>
      <li>1974 Telenet packet-switched network</li>
      <li>1976 X.25 protocol approved</li>
      <li>1979 Internet Activities Board (IAB)</li>
      <li>1980 USENET news using UUCP</li>
      <li>1980 Ethernet standard introduced</li>
      <li>1981 BITNET established</li>
    </ul>
  </div>
  <div>
    Merging the networks and creating the Internet
  </div>
  <div>
    <ul>
      <li>1981 Computer Science Network (CSNET)</li>
      <li>1982 TCP/IP protocol suite formalized</li>
      <li>1982 Simple Mail Transfer Protocol (SMTP)</li>
      <li>1983 Domain Name System (DNS)</li>
      <li>1983 MILNET split off from ARPANET</li>
      <li>1986 NSFNET with 56 kbit/s links</li>
      <li>1986 Internet Engineering Task Force (IETF)</li>
      <li>1987 UUNET founded</li>
      <li>1988 NSFNET upgraded to 1.5 Mbit/s (T1)</li>
      <li>1988 OSI Reference Model released</li>
      <li>1988 Morris worm</li>
      <li>1989 Border Gateway Protocol (BGP)</li>
      <li>1989 PSINet founded, allows commercial traffic</li>
      <li>1989 Federal Internet Exchanges (FIXes)</li>
      <li>1990 GOSIP (without TCP/IP)</li>
      <li>1990 ARPANET decommissioned</li>
    </ul>
  </div>
  <div>
    Popular Internet services
  </div>
  <div>
    <ul>
      <li>1990 IMDb Internet movie database</li>
      <li>1995 Amazon.com online retailer</li>
      <li>1995 eBay online auction and shopping</li>
      <li>1995 Craigslist classified advertisements</li>
      <li>1996 Hotmail free web-based e-mail</li>
      <li>1997 Babel Fish automatic translation</li>
      <li>1998 Google Search</li>
      <li>1999 Napster peer-to-peer file sharing</li>
      <li>2001 Wikipedia, the free encyclopedia</li>
      <li>2003 LinkedIn business networking</li>
      <li>2003 Myspace social networking site</li>
      <li>2003 Skype Internet voice calls</li>
      <li>2003 iTunes Store</li>
      <li>2004 Facebook social networking site</li>
      <li>2004 Podcast media file series</li>
      <li>2004 Flickr image hosting</li>
      <li>2005 YouTube video sharing</li>
      <li>2005 Google Earth virtual globe</li>
    </ul>
  </div>
</jqxNavigationBar>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxNavigationBarModule, jqxNavigationBarComponent } from 'jqwidgets-ng/jqxnavigationbar';
@Component({
    selector: 'app-root',
    imports: [jqxNavigationBarModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

NavigationBar API

API Reference of the jQWidgets NavigationBar component for Angular: NavigationBar API

Vue UI Components Documentation

Vue NavigationBar Component

The NavigationBar component for Vue represents a widget that has header and content sections (like tabs).

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The NavigationBar component for Vue requires the following import:


Add the jqxNavigationBar component to the components section of the the Vue class:


Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxNavigationBar/>

<template>
<JqxNavigationBar :expandMode="expandMode"
:width="width"
:height="height">
<!--Header-->
<div>
Early History of the Internet
</div>
<!--Content-->
<div>
<ul>
<li>1961 First packet-switching papers</li>
<li>1966 Merit Network founded</li>
<li>1966 ARPANET planning starts</li>
<li>1969 ARPANET carries its first packets</li>
<li>1970 Mark I network at NPL (UK)</li>
<li>1970 Network Information Center (NIC)</li>
<li>1971 Merit Network's packet-switched network operational</li>
<li>1971 Tymnet packet-switched network</li>
<li>1972 Internet Assigned Numbers Authority (IANA) established</li>
<li>1973 CYCLADES network demonstrated</li>
<li>1974 Telenet packet-switched network</li>
<li>1976 X.25 protocol approved</li>
<li>1979 Internet Activities Board (IAB)</li>
<li>1980 USENET news using UUCP</li>
<li>1980 Ethernet standard introduced</li>
<li>1981 BITNET established</li>
</ul>
</div>
<!--Header-->
<div>
Merging the networks and creating the Internet
</div>
<!--Content-->
<div>
<ul>
<li>1981 Computer Science Network (CSNET)</li>
<li>1982 TCP/IP protocol suite formalized</li>
<li>1982 Simple Mail Transfer Protocol (SMTP)</li>
<li>1983 Domain Name System (DNS)</li>
<li>1983 MILNET split off from ARPANET</li>
<li>1986 NSFNET with 56 kbit/s links</li>
<li>1986 Internet Engineering Task Force (IETF)</li>
<li>1987 UUNET founded</li>
<li>1988 NSFNET upgraded to 1.5 Mbit/s (T1)</li>
<li>1988 OSI Reference Model released</li>
<li>1988 Morris worm</li>
<li>1989 Border Gateway Protocol (BGP)</li>
<li>1989 PSINet founded, allows commercial traffic</li>
<li>1989 Federal Internet Exchanges (FIXes)</li>
<li>1990 GOSIP (without TCP/IP)</li>
<li>1990 ARPANET decommissioned</li>
</ul>
</div>
<!--Header-->
<div>
Popular Internet services
</div>
<!--Content-->
<div>
<ul>
<li>1990 IMDb Internet movie database</li>
<li>1995 Amazon.com online retailer</li>
<li>1995 eBay online auction and shopping</li>
<li>1995 Craigslist classified advertisements</li>
<li>1996 Hotmail free web-based e-mail</li>
<li>1997 Babel Fish automatic translation</li>
<li>1998 Google Search</li>
<li>1999 Napster peer-to-peer file sharing</li>
<li>2001 Wikipedia, the free encyclopedia</li>
<li>2003 LinkedIn business networking</li>
<li>2003 Myspace social networking site</li>
<li>2003 Skype Internet voice calls</li>
<li>2003 iTunes Store</li>
<li>2004 Facebook social networking site</li>
<li>2004 Podcast media file series</li>
<li>2004 Flickr image hosting</li>
<li>2005 YouTube video sharing</li>
<li>2005 Google Earth virtual globe</li>
</ul>
</div>
</JqxNavigationBar>
</template>

Properties

The properties of the <JqxNavigationBar/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:


Events

The events in Vue are set as an attribute with @ prefix, for example:


All events that are bound to a component are implemented in the methods member of the Vue class.


Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxNavigationBar ref="navigationbar"></JqxNavigationBar>

Here how you can use a component's method:

this.$refs.navigationbar.refresh();

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

NavigationBar Example

Run Code

React UI Components Documentation

Typescript React NavigationBar Component

This tutorial will show you the basics of how to get started with the jQWidgets NavigationBar React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxNavigationBar, { INavigationBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavigationbar';

II. Class:

class App extends React.PureComponent<{}, INavigationBarProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxNavigationBar
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

class App extends React.PureComponent<{}, INavigationBarProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxNavigationBar onNameOfEvent={this.handleEvent}
width={this.state.width} height={"100%"} .....
/>
)
}
private handleEvent(e: Event): void {
// Do Something ...
}
}

Methods & Properties

This is how you call methods & props:

//Get Methods
const value = this.myNavigationBar.current!.methodName(arg1, arg2);
//Set Methods
this.myNavigationBar.current!.methodName(arg1, arg2);
//Get Properties
const height = this.state.height;
//Set Properties
this.setState({ height: 250 });

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns the value of the requested option.

NavigationBar API

API Reference of the jQWidgets NavigationBar React Component: NavigationBar API

NavigationBar Demos

Demos Reference of the jQwidgets NavigationBar React Component: NavigationBar Demos